Author Topic: PHP 8.3.0 on CWP 0.9.8.1172  (Read 1315 times)

0 Members and 1 Guest are viewing this topic.

Offline
****
PHP 8.3.0 on CWP 0.9.8.1172
« on: November 28, 2023, 03:44:28 PM »
Tried to build PHP 8.3.0 on 0.9.8.1172 and it briefly comes up with a Red Error box at the top right and won't build.

Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #1 on: November 28, 2023, 05:07:09 PM »
Default settings, or customized modules?
Google Hangouts:  rcschaff82@gmail.com

Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #2 on: November 28, 2023, 05:13:48 PM »
Doesn't even get to that point of asking what modules you want.

With PHP-CGI or PHP -FPM, it gives an "Error - Invalid PHP version." as soon as you select 8.3.0.





Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #3 on: November 28, 2023, 05:17:11 PM »
I'm going to go out on a limb, and say that 8.3 currently is just a placeholder.  As nothing happens in the background to build anything, and the module config returns to the main screen.
Google Hangouts:  rcschaff82@gmail.com

Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #4 on: November 28, 2023, 05:20:10 PM »
Hence my bug post, since it doesn't work.

They either shouldn't have enabled it yet on the menu, or forgot the backend script.

Offline
*
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #5 on: January 04, 2024, 08:35:24 AM »
Is there any news regarding 8.3.x?

I noticed that the control panel has been updated to version 0.9.8.1174, and PHP-FPM now has version 8.3.1.
However, when attempting to install it, the same error occurs as with version 8.3.0:

Code: [Select]
#cat /var/log/php-selector-rebuild.log

Build Completed
###################


Error:Can't add notification!

Offline
*
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #6 on: January 04, 2024, 09:24:49 AM »
Here is the best bit there are two php versions 8.2.0


Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #7 on: January 04, 2024, 03:15:55 PM »
Not here -- only one 8.2. Did you try to build it outside of CWP?

Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #8 on: January 04, 2024, 04:59:23 PM »
Haven't tried to build 8.3.1 yet.

I see the same, weird on 0.9.8.1174.


Offline
*
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #9 on: January 04, 2024, 07:36:09 PM »
8.3+ dont install within cwp just a blank file is created as if it's just placemeant right now.

Offline
****
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #10 on: January 04, 2024, 08:53:46 PM »

Offline
*
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #11 on: January 04, 2024, 09:58:22 PM »
I'm not in a hurry; I'd rather wait. I'm just curious whether it's an error they haven't noticed or if the 8.3.x version is temporarily on hold. I'd prefer to wait than have something incorrectly set up.
Thank you anyway.

Offline
***
Re: PHP 8.3.0 on CWP 0.9.8.1172
« Reply #12 on: January 07, 2024, 09:14:01 AM »
sorry.. oot


but.. why  you go to 8.3 ?